package com.zehong.system.task.event;

import org.springframework.context.ApplicationEvent;

/**
 * @author lenovo
 * @date 2026/7/18
 * @description 获取NB码event
 */
public class ReceivedNbCodeEvent extends ApplicationEvent {

    private String storeyCode;

    private Long trayId;

    public ReceivedNbCodeEvent(Object source) {
        super(source);
    }

    public ReceivedNbCodeEvent(Object source, String storeyCode, Long trayId) {
        super(source);
        this.storeyCode = storeyCode;
        this.trayId = trayId;
    }

    public String getStoreyCode() {
        return storeyCode;
    }

    public void setStoreyCode(String storeyCode) {
        this.storeyCode = storeyCode;
    }


    public Long getTrayId() {
        return trayId;
    }

    public void setTrayId(Long trayId) {
        this.trayId = trayId;
    }
}
